package dev.lions.events;

import java.util.Map;

/**
 * Événement déclenché lors de l'initialisation du service de stockage. Cet événement permet de
 * notifier les observateurs des changements de configuration du stockage de l'application.
 */
public class StorageEvent {

  private final String type;
  private final Map<String, Object> data;

  /**
   * Crée une nouvelle instance de StorageEvent.
   *
   * @param type Type de l'événement de stockage
   * @param data Données associées à l'événement
   */
  public StorageEvent(String type, Map<String, Object> data) {
    this.type = type;
    this.data = data;
  }

  /**
   * Récupère le type de l'événement de stockage.
   *
   * @return Type de l'événement
   */
  public String getType() {
    return type;
  }

  /**
   * Récupère les données associées à l'événement de stockage.
   *
   * @return Données de l'événement
   */
  public Map<String, Object> getData() {
    return data;
  }
}